cURL
curl --request GET \
--url https://api.comm.com/api/v1/voice/campaigns/{campaign} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/voice/campaigns/{campaign}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/voice/campaigns/{campaign}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"status": "<string>",
"meta": {
"segment_ids": [],
"filter_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_ids": [
"<string>"
],
"number_ids": [
"<string>"
],
"manual_data": {
"send_amount": 200,
"send_datetime": "<string>",
"throttle_batch_size": 0
},
"recurring_data": {
"daily_recurring_data": {
"Mon": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Tue": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Wed": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Thu": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Fri": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Sat": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Sun": [
{
"send_time": "<string>",
"send_amount": 2
}
]
},
"selected_recurring_time": {
"send_amount": 2,
"send_datetime": "<string>"
},
"weekly_contact_limit": 5,
"daily_contact_limit": 1,
"is_active": true
},
"feed_data": {
"weekly_schedule": {
"default": {
"start": "<string>",
"end": "<string>"
},
"Mon": {
"start": "<string>",
"end": "<string>"
},
"Tue": {
"start": "<string>",
"end": "<string>"
},
"Wed": {
"start": "<string>",
"end": "<string>"
},
"Thu": {
"start": "<string>",
"end": "<string>"
},
"Fri": {
"start": "<string>",
"end": "<string>"
},
"Sat": {
"start": "<string>",
"end": "<string>"
},
"Sun": {
"start": "<string>",
"end": "<string>"
}
},
"feed_id": "<string>",
"feed_ids": [
"<string>"
],
"is_active": true,
"auto_analyze": true,
"hourly_calls_limit": 0
},
"stopped_reason": "<string>",
"hlr_settings": {
"is_active": false,
"number_of_retries": 0,
"delay_between_retries": 0,
"additional_time_increment": 0,
"retry_until": "<string>"
}
},
"sends": [
{
"id": "<string>",
"next_step_timestamp": "<string>",
"status": "<string>",
"meta": {
"segment_ids": [],
"filter_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_ids": [
"<string>"
],
"number_ids": [
"<string>"
],
"manual_data": {
"send_amount": 200,
"send_datetime": "<string>",
"throttle_batch_size": 0
},
"recurring_data": {
"daily_recurring_data": {
"Mon": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Tue": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Wed": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Thu": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Fri": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Sat": [
{
"send_time": "<string>",
"send_amount": 2
}
],
"Sun": [
{
"send_time": "<string>",
"send_amount": 2
}
]
},
"selected_recurring_time": {
"send_amount": 2,
"send_datetime": "<string>"
},
"weekly_contact_limit": 5,
"daily_contact_limit": 1,
"is_active": true
},
"feed_data": {
"weekly_schedule": {
"default": {
"start": "<string>",
"end": "<string>"
},
"Mon": {
"start": "<string>",
"end": "<string>"
},
"Tue": {
"start": "<string>",
"end": "<string>"
},
"Wed": {
"start": "<string>",
"end": "<string>"
},
"Thu": {
"start": "<string>",
"end": "<string>"
},
"Fri": {
"start": "<string>",
"end": "<string>"
},
"Sat": {
"start": "<string>",
"end": "<string>"
},
"Sun": {
"start": "<string>",
"end": "<string>"
}
},
"feed_id": "<string>",
"feed_ids": [
"<string>"
],
"is_active": true,
"auto_analyze": true,
"hourly_calls_limit": 0
},
"stopped_reason": "<string>",
"hlr_settings": {
"is_active": false,
"number_of_retries": 0,
"delay_between_retries": 0,
"additional_time_increment": 0,
"retry_until": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"voice_campaign_id": "<string>",
"calls_count": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}VoiceCampaigns
Get v1voicecampaigns 1
GET
/
v1
/
voice
/
campaigns
/
{campaign}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The campaign ID
Query Parameters
Available options:
sends Response
VoiceCampaignResource
Show child attributes
Show child attributes
⌘I